Subject: [bug#28020] [PATCH] gnu: Add emacs-gitpatch.

From: Arun Isaac <[email-masked]>
Date: Thu, 10 Aug 2017 23:01:15 +0530

> it would be nice to have a checker for this somehow...

Yes, something like `guix lint', but for commits. It should become a git
hook much like etc/git/pre-push.

I'll write this checker script. I could write one specifically looking
for the kind of mistake I made -- the problem with part of the email
thread coming into the commit message. But, I think it will be better to
have a more general checker. Any suggestions to get started?  What are
the other kind of mistakes that have happened in the commit log?

Also, having a staging branch to which all commits are made would help
keep the master branch clean, and free of these mishaps. But, I guess
this issue has been raised before, and the creation of such a staging
branch has been postponed.